org.apache.hadoop.yarn.api.protocolrecords

## Class UseSharedCacheResourceRequest

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.UseSharedCacheResourceRequest

-     @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public abstract class UseSharedCacheResourceRequest
      extends Object

  The request from clients to the `SharedCacheManager` that claims a resource in the shared cache.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UseSharedCacheResourceRequest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ApplicationId` | `getAppId()` Get the `ApplicationId` of the resource to be used.
    `abstract String` | `getResourceKey()` Get the `key` of the resource to be used.
    `abstract void` | `setAppId(ApplicationId id)` Set the `ApplicationId` of the resource to be used.
    `abstract void` | `setResourceKey(String key)` Set the `key` of the resource to be used.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UseSharedCacheResourceRequest

          public UseSharedCacheResourceRequest()

  - ### Method Detail

    - #### getAppId

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract ApplicationId getAppId()

      Get the `ApplicationId` of the resource to be used.
      Returns:
        `ApplicationId`

    - #### setAppId

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setAppId(ApplicationId id)

      Set the `ApplicationId` of the resource to be used.
      Parameters:
        `id` - `ApplicationId`

    - #### getResourceKey

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract String getResourceKey()

      Get the `key` of the resource to be used.
      Returns:
        `key`

    - #### setResourceKey

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setResourceKey(String key)

      Set the `key` of the resource to be used.
      Parameters:
        `key` - unique identifier for the resource

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.